Subject: bug#17104: [PATCH 3/4] tests: Add emit_superuser_warning for gpt tests

From: "Brian C. Lane" <[email-masked]>
Date: Thu, 27 Mar 2014 08:03:50 -0700

On Wed, Mar 26, 2014 at 10:29:38PM -0400, Phillip Susi wrote:
> On 03/26/2014 01:56 PM, Brian C. Lane wrote:
> > --- tests/t0281-gpt-grow.sh           | 3 ++- 
> > tests/t0282-gpt-move-backup.sh    | 3 ++- 
> > tests/t0283-overlap-partitions.sh | 6 ++++-- 3 files changed, 8
> > insertions(+), 4 deletions(-)
> 
> There is no log entry for this change, so I don't understand it at all.

When running parted without -s it will emit a warning that you are not
superuser. In Fedora we run tests at buildtime as non-root so we need to
call this whenever not using -s

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)